import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/auth/login',
    method: 'post',
    data
  })
}
export function enroll(data) {
  return request({
    url: '/auth/enroll',
    method: 'post',
    data
  })
}
export function sendCode(phone) {
  return request({
    url: '/auth/sendCode/'+phone,
    method: 'post',
  })
}

export function getInfo(token) {
  return request({
    url: '/auth/getInfo',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/vue-admin-template/user/logout',
    method: 'post'
  })
}
